<?php

Configure::set('Namesilo.status.codes', [

    '101' => [ 'HTTPS not used', 'fail' ],
    '102' => [ 'No version specified', 'fail' ],
    '103' => [ 'Invalid API version', 'fail' ],
    '104' => [ 'No type specified', 'fail' ],
    '105' => [ 'Invalid API type', 'fail' ],
    '106' => [ 'No operation specified', 'fail' ],
    '107' => [ 'Invalid API operation', 'fail' ],
    '108' => [ 'Missing parameters for the specified operation', 'fail' ],
    '109' => [ 'No API key specified', 'fail' ],
    '110' => [ 'Invalid API key', 'fail' ],
    '111' => [ 'Invalid User', 'fail' ],
    '112' => [ 'API not available to Sub-Accounts', 'fail' ],
    '113' => [ 'This API account cannot be accessed from your IP', 'fail' ],
    '114' => [ 'Invalid Domain Syntax', 'fail' ],
    '115' => [ 'Central Registry Not Responding - try again later', 'fail' ],
    '116' => [ 'Invalid sandbox account', 'fail' ],
    '117' => [ 'The provided credit card profile either does not exist, or is not associated with your account', 'fail' ],
    '118' => [ 'The provided credit card profile has not been verified', 'fail' ],
    '119' => [ 'Insufficient account funds for requested transaction', 'fail' ],
    '120' => [ 'API key must be passed as a GET', 'fail' ],

    '200' => [ 'Domain is not active, or does not belong to this user', 'fail' ],
    '201' => [ 'Internal system error', 'fail' ],
    '210' => [ 'General error (details provided in response)', 'fail' ],
    '250' => [ 'Domain is already set to AutoRenew - No update made.', 'fail' ],
    '251' => [ 'Domain is already set not to AutoRenew - No update made.', 'fail' ],
    '252' => [ 'Domain is already Locked - No update made.', 'fail' ],
    '253' => [ 'Domain is already Unlocked - No update made.', 'fail' ],
    '254' => [ 'NameServer update cannot be made. (details provided in response)', 'fail' ],
    '255' => [ 'Domain is already Private - No update made.', 'fail' ],
    '256' => [ 'Domain is already Not Private - No update made.', 'fail' ],
    '261' => [ 'Domain processing error (details provided in response)', 'fail' ],
    '262' => [ 'This domain is already active within our system and therefore cannot be processed.', 'fail' ],
    '263' => [ 'Invalid number of years, or no years provided.', 'fail' ],
    '264' => [ 'Domain cannot be renewed for specified number of years (details provided in response)', 'fail' ],
    '265' => [ 'Domain cannot be transferred at this time (details provided in response)', 'fail' ],
    '266' => [ 'No domain transfer exists for this user for this domain', 'fail' ],
    '267' => [ 'Invalid domain name, or we do not support the provided extension/TLD.', 'fail' ],
    '280' => [ 'DNS modification error', 'fail' ],

    '300' => [ 'Successful API operation', 'success' ],
    '301' => [ 'Successful registration, but not all provided hosts were valid, resulting in our nameservers being used', 'success' ],
    '302' => [ 'Successful order, but there was an error with the contact information provided so your account default contact profile was used', 'success' ],

    '400' => [ 'Existing API request is still processing - request will need to be re-submitted', 'fail' ],

]);
