<?php
/**
 * Language definitions for the Admin Company Module settings controller/views
 *
 * @package blesta
 * @subpackage blesta.language.en_us
 * @copyright Copyright (c) 2010, Phillips Data, Inc.
 * @license http://www.blesta.com/license/ The Blesta License Agreement
 * @link http://www.blesta.com/ Blesta
 */

$lang['AdminCompanyModules.!success.upgraded'] = 'The module was successfully upgraded.';
$lang['AdminCompanyModules.!success.installed'] = 'The module was successfully installed.';
$lang['AdminCompanyModules.!success.uninstalled'] = 'The module was successfully uninstalled.';
$lang['AdminCompanyModules.!success.module_updated'] = 'The module was successfully updated.';
$lang['AdminCompanyModules.!success.group_added'] = 'The group was successfully added.';
$lang['AdminCompanyModules.!success.group_updated'] = 'The group was successfully updated.';
$lang['AdminCompanyModules.!success.group_deleted'] = 'The group was successfully deleted.';
$lang['AdminCompanyModules.!success.row_added'] = 'The %1$s was successfully added.'; // %1$s is the module row noun (e.g. Server)
$lang['AdminCompanyModules.!success.row_updated'] = 'The %1$s was successfully updated.'; // %1$s is the module row noun (e.g. Server)
$lang['AdminCompanyModules.!success.row_deleted'] = 'The %1$s was successfully deleted.'; // %1$s is the module row noun (e.g. Server)


$lang['AdminCompanyModules.!tab.installed'] = 'Installed';
$lang['AdminCompanyModules.!tab.available'] = 'Available';


// Available Modules
$lang['AdminCompanyModules.available.page_title'] = 'Settings > Company > Modules > Available';
$lang['AdminCompanyModules.available.boxtitle_module'] = 'Modules';
$lang['AdminCompanyModules.available.text_author'] = 'Author:';
$lang['AdminCompanyModules.available.text_author_url'] = 'Author URL';
$lang['AdminCompanyModules.available.text_version'] = '(ver %1$s)'; // %1$s is the module's version number
$lang['AdminCompanyModules.available.text_none'] = 'There are no available modules.';
$lang['AdminCompanyModules.available.btn_install'] = 'Install';


// Installed Modules
$lang['AdminCompanyModules.installed.page_title'] = 'Settings > Company > Modules > Installed';
$lang['AdminCompanyModules.installed.boxtitle_installed'] = 'Modules';
$lang['AdminCompanyModules.installed.text_author'] = 'Author:';
$lang['AdminCompanyModules.installed.text_author_url'] = 'Author URL';
$lang['AdminCompanyModules.installed.text_version'] = '(ver %1$s)'; // %1$s is the module's version number
$lang['AdminCompanyModules.installed.text_none'] = 'There are no installed modules.';
$lang['AdminCompanyModules.installed.btn_uninstall'] = 'Uninstall';
$lang['AdminCompanyModules.installed.btn_manage'] = 'Manage';
$lang['AdminCompanyModules.installed.btn_upgrade'] = 'Upgrade';

$lang['AdminCompanyModules.installed.confirm_uninstall'] = 'Are you sure you want to uninstall this module?';


// Manage a Module
$lang['AdminCompanyModules.manage.page_title'] = 'Settings > Company > Modules > Manage %1$s'; // %1$s is the name of the module
$lang['AdminCompanyModules.manage.boxtitle_manage'] = 'Manage %1$s'; // %1$s is the name of the module


// Add Module Groups
$lang['AdminCompanyModules.addgroup.page_title'] = 'Settings > Company > Modules > Add %1$s %2$s Group'; // %1$s is the module name, %2$s is the module row noun (e.g. Server)
$lang['AdminCompanyModules.addgroup.boxtitle_add'] = 'Add %1$s %2$s Group'; // %1$s is the module name, %2$s is the module row noun (e.g. Server)
$lang['AdminCompanyModules.addgroup.btn_add'] = 'Add Group';
$lang['AdminCompanyModules.addgroup.assigned'] = 'Assigned %1$s'; // %1$s is the module row noun in plural form (e.g. Servers)
$lang['AdminCompanyModules.addgroup.available'] = 'Available %1$s'; // %1$s is the module row noun in plural form (e.g. Servers)
$lang['AdminCompanyModules.addgroup.force_limits'] = 'Force %1$s Limits'; // %1$s is the module row noun (e.g. Server)
$lang['AdminCompanyModules.addgroup.tooltip_force_limits'] = 'Enforces hard limits so that the count of a %1$s never exceedes its limit.'; // %1$s is the module row noun (e.g. Server)

$lang['AdminCompanyModules.addgroup.text_name'] = 'Group Name';
$lang['AdminCompanyModules.addgroup.text_order'] = 'Add Order';


// Edit Module Groups
$lang['AdminCompanyModules.editgroup.page_title'] = 'Settings > Company > Modules > Edit %1$s %2$s Group'; // %1$s is the module name, %2$s is the module row noun (e.g. Server)
$lang['AdminCompanyModules.editgroup.boxtitle_edit'] = 'Edit %1$s %2$s Group'; // %1$s is the module name, %2$s is the module row noun (e.g. Server)
$lang['AdminCompanyModules.editgroup.btn_edit'] = 'Update Group';
$lang['AdminCompanyModules.editgroup.assigned'] = 'Assigned %1$s'; // %1$s is the module row noun in plural form (e.g. Servers)
$lang['AdminCompanyModules.editgroup.available'] = 'Available %1$s'; // %1$s is the module row noun in plural form (e.g. Servers)
$lang['AdminCompanyModules.editgroup.force_limits'] = 'Force %1$s Limits'; // %1$s is the module row noun (e.g. Server)
$lang['AdminCompanyModules.editgroup.tooltip_force_limits'] = 'Enforces hard limits so that the count of a %1$s never exceedes its limit.'; // %1$s is the module row noun (e.g. Server)

$lang['AdminCompanyModules.editgroup.text_name'] = 'Group Name';
$lang['AdminCompanyModules.editgroup.text_order'] = 'Add Order';


// Add Module Row
$lang['AdminCompanyModules.addrow.page_title'] = 'Settings > Company > Modules > Add %1$s %2$s'; // %1$s is the module name, %2$s is the module row noun (e.g. Server)

// Edit Module Row
$lang['AdminCompanyModules.editrow.page_title'] = 'Settings > Company > Modules > Edit %1$s %2$s'; // %1$s is the module name, %2$s is the module row noun (e.g. Server)
