<?php
/**
 * Language definitions for the Navigation model
 *
 * @package blesta
 * @subpackage blesta.language.en_us
 * @copyright Copyright (c) 2010, Phillips Data, Inc.
 * @license http://www.blesta.com/license/ The Blesta License Agreement
 * @link http://www.blesta.com/ Blesta
 */

// Errors
$lang['Navigation.!error.action_id.valid'] = 'Invalid action ID';
$lang['Navigation.!error.order.valid'] = 'The order index must be a numeric value';
$lang['Navigation.!error.parent_id.valid'] = 'Invalid parent navigation item ID';

// Primary nav
$lang['Navigation.getprimary.nav_home'] = 'Home';
$lang['Navigation.getprimary.nav_home_dashboard'] = 'Dashboard';

$lang['Navigation.getprimary.nav_clients'] = 'Clients';
$lang['Navigation.getprimary.nav_clients_browse'] = 'Browse Clients';

$lang['Navigation.getprimary.nav_billing'] = 'Billing';
$lang['Navigation.getprimary.nav_billing_overview'] = 'Overview';
$lang['Navigation.getprimary.nav_billing_invoices'] = 'Invoices';
$lang['Navigation.getprimary.nav_billing_transactions'] = 'Transactions';
$lang['Navigation.getprimary.nav_billing_services'] = 'Services';
$lang['Navigation.getprimary.nav_billing_reports'] = 'Reports';
$lang['Navigation.getprimary.nav_billing_printqueue'] = 'Print Queue';
$lang['Navigation.getprimary.nav_billing_batch'] = 'Batch';

$lang['Navigation.getprimary.nav_packages'] = 'Packages';
$lang['Navigation.getprimary.nav_packages_browse'] = 'Browse Packages';
$lang['Navigation.getprimary.nav_packages_groups'] = 'Package Groups';
$lang['Navigation.getprimary.nav_package_options'] = 'Configurable Options';

$lang['Navigation.getprimary.nav_tools'] = 'Tools';
$lang['Navigation.getprimary.nav_tools_logs'] = 'Logs';
$lang['Navigation.getprimary.nav_tools_currency'] = 'Convert Currency';
$lang['Navigation.getprimary.nav_tools_utilities'] = 'Utilities';

$lang['Navigation.getprimary.nav_settings_company'] = 'Company';
$lang['Navigation.getprimary.nav_settings_system'] = 'System';


// Primary Client nav
$lang['Navigation.getprimaryclient.nav_dashboard'] = 'Dashboard';
$lang['Navigation.getprimaryclient.nav_services'] = 'Services';
$lang['Navigation.getprimaryclient.nav_paymentaccounts'] = 'Payment Accounts';
$lang['Navigation.getprimaryclient.nav_paymentaccounts_add'] = 'Add Payment Account';
$lang['Navigation.getprimaryclient.nav_contacts'] = 'Contacts';
$lang['Navigation.getprimaryclient.nav_contacts_add'] = 'Add Contact';
$lang['Navigation.getprimaryclient.nav_return'] = 'Return to Dashboard';


// Primary Anonymous nav
$lang['Navigation.getprimarypublic.nav_dashboard'] = 'Home';


// Company nav
$lang['Navigation.getcompany.nav_general'] = 'General';
$lang['Navigation.getcompany.nav_general_localization'] = 'Localization';
$lang['Navigation.getcompany.nav_general_international'] = 'Internationalization';
$lang['Navigation.getcompany.nav_general_encryption'] = 'Encryption';
$lang['Navigation.getcompany.nav_general_contacttypes'] = 'Contact Types';
$lang['Navigation.getcompany.nav_general_marketing'] = 'Marketing';
$lang['Navigation.getcompany.nav_general_smart_search'] = 'Smart Search';
$lang['Navigation.getcompany.nav_general_humanverification'] = 'Human Verification';

$lang['Navigation.getcompany.nav_lookandfeel'] = 'Look and Feel';
$lang['Navigation.getcompany.nav_lookandfeel_themes'] = 'Themes';
$lang['Navigation.getcompany.nav_lookandfeel_template'] = 'Template';
$lang['Navigation.getcompany.nav_lookandfeel_layout'] = 'Layout';
$lang['Navigation.getcompany.nav_lookandfeel_navigation'] = 'Navigation';
$lang['Navigation.getcompany.nav_lookandfeel_actions'] = 'Actions';
$lang['Navigation.getcompany.nav_lookandfeel_customize'] = 'Customize';

$lang['Navigation.getcompany.nav_automation'] = 'Automation';

$lang['Navigation.getcompany.nav_billing'] = 'Billing/Payment';
$lang['Navigation.getcompany.nav_billing_invoices'] = 'Invoice and Charge Options';
$lang['Navigation.getcompany.nav_billing_custominvoice'] = 'Invoice Customization';
$lang['Navigation.getcompany.nav_billing_deliverymethods'] = 'Invoice Delivery';
$lang['Navigation.getcompany.nav_billing_latefees'] = 'Late Fees';
$lang['Navigation.getcompany.nav_billing_notices'] = 'Notices';
$lang['Navigation.getcompany.nav_billing_coupons'] = 'Coupons';
$lang['Navigation.getcompany.nav_billing_acceptedtypes'] = 'Accepted Payment Types';

$lang['Navigation.getcompany.nav_modules'] = 'Modules';

$lang['Navigation.getcompany.nav_messengers'] = 'Messengers';
$lang['Navigation.getcompany.nav_messengers_messengers'] = 'Messengers';
$lang['Navigation.getcompany.nav_messengers_configuration'] = 'Messenger Configuration';
$lang['Navigation.getcompany.nav_messengers_templates'] = 'Message Templates';

$lang['Navigation.getcompany.nav_gateways'] = 'Payment Gateways';

$lang['Navigation.getcompany.nav_taxes'] = 'Taxes';
$lang['Navigation.getcompany.nav_taxes_basictax'] = 'Basic Tax Settings';
$lang['Navigation.getcompany.nav_taxes_taxrules'] = 'Tax Rules';

$lang['Navigation.getcompany.nav_emails'] = 'Emails';
$lang['Navigation.getcompany.nav_emails_mail'] = 'Mail Settings';
$lang['Navigation.getcompany.nav_emails_templates'] = 'Email Templates';
$lang['Navigation.getcompany.nav_emails_signatures'] = 'Signatures';

$lang['Navigation.getcompany.nav_clientoptions'] = 'Client Options';
$lang['Navigation.getcompany.nav_clientoptions_general'] = 'General Client Settings';
$lang['Navigation.getcompany.nav_clientoptions_customfields'] = 'Client Custom Fields';
$lang['Navigation.getcompany.nav_clientoptions_requiredfields'] = 'Required Client Fields';

$lang['Navigation.getcompany.nav_currencies'] = 'Currencies';
$lang['Navigation.getcompany.nav_currency_currencysetup'] = 'Currency Setup';
$lang['Navigation.getcompany.nav_currency_active'] = 'Active Currencies';

$lang['Navigation.getcompany.nav_plugins'] = 'Plugins';
$lang['Navigation.getcompany.nav_groups'] = 'Client Groups';


// System nav
$lang['Navigation.getsystem.nav_general'] = 'General';
$lang['Navigation.getsystem.nav_general_basic'] = 'Basic Setup';
$lang['Navigation.getsystem.nav_general_geoip'] = 'GeoIP Settings';
$lang['Navigation.getsystem.nav_general_maintenance'] = 'Maintenance';
$lang['Navigation.getsystem.nav_general_license'] = 'License Key';
$lang['Navigation.getsystem.nav_general_paymenttypes'] = 'Payment Types';

$lang['Navigation.getsystem.nav_automation'] = 'Automation';

$lang['Navigation.getsystem.nav_companies'] = 'Companies';

$lang['Navigation.getsystem.nav_backup'] = 'Backup';
$lang['Navigation.getsystem.nav_backup_ftp'] = 'Secure FTP';
$lang['Navigation.getsystem.nav_backup_index'] = 'On Demand';
$lang['Navigation.getsystem.nav_backup_amazon'] = 'Amazon S3';

$lang['Navigation.getsystem.nav_staff'] = 'Staff';
$lang['Navigation.getsystem.nav_staff_manage'] = 'Manage Staff';
$lang['Navigation.getsystem.nav_staff_groups'] = 'Staff Groups';

$lang['Navigation.getsystem.nav_api'] = 'API Access';

$lang['Navigation.getsystem.nav_upgrade'] = 'Upgrade Options';

$lang['Navigation.getsystem.nav_help'] = 'Help';
$lang['Navigation.getsystem.nav_help_index'] = 'Resources';
$lang['Navigation.getsystem.nav_help_notes'] = 'Release Notes';
$lang['Navigation.getsystem.nav_help_about'] = 'About Blesta';

$lang['Navigation.getsystem.nav_marketplace'] = 'Marketplace';

// Search options
$lang['Navigation.getsearchoptions.smart'] = 'Smart Search';
$lang['Navigation.getsearchoptions.clients'] = 'Client Search';
$lang['Navigation.getsearchoptions.invoices'] = 'Invoice Search';
$lang['Navigation.getsearchoptions.transactions'] = 'Transaction Search';
$lang['Navigation.getsearchoptions.services'] = 'Service Search';
$lang['Navigation.getsearchoptions.packages'] = 'Package Search';
