<?php
Configure::set(
    'DownloadManager.mime_types',
    [
        'x-world/x-3dmf' => 'qd3d',
        'application/octet-stream' => 'zoo',
        'application/x-authorware-bin' => 'aab',
        'application/x-authorware-map' => 'aam',
        'application/x-authorware-seg' => 'aas',
        'text/vnd.abc' => 'abc',
        'text/html' => 'htx',
        'video/animaflex' => 'afl',
        'application/postscript' => 'ps',
        'audio/aiff' => 'aiff',
        'application/x-aim' => 'aim',
        'text/x-audiosoft-intra' => 'aip',
        'application/x-navi-animation' => 'ani',
        'application/mime' => 'aps',
        'application/arj' => 'arj',
        'image/x-jg' => 'art',
        'video/x-ms-asf' => 'asf',
        'text/x-asm' => 's',
        'text/asp' => 'asp',
        'application/x-mplayer2' => 'asx',
        'audio/basic' => 'au',
        'application/x-troff-msvideo' => 'avi',
        'video/avs-video' => 'avs',
        'application/x-bcpio' => 'bcpio',
        'image/bmp' => 'bmp',
        'application/book' => 'book',
        'application/x-bzip2' => 'bz2',
        'application/x-bsh' => 'bsh',
        'application/x-bzip' => 'bz',
        'text/x-c' => 'cpp',
        'application/vnd.ms-pki.seccat' => 'cat',
        'application/clariscad' => 'ccad',
        'application/x-cocoa' => 'cco',
        'application/x-netcdf' => 'nc',
        'application/x-x509-ca-cert' => 'der',
        'application/x-chat' => 'chat',
        'application/x-java-class' => 'class',
        'text/plain' => 'txt',
        'application/x-cpio' => 'cpio',
        'application/x-cpt' => 'cpt',
        'application/pkix-crl' => 'crl',
        'application/x-x509-user-cert' => 'crt',
        'text/x-script.csh' => 'csh',
        'text/css' => 'css',
        'application/x-director' => 'dxr',
        'application/x-deepv' => 'deepv',
        'video/x-dv' => 'dv',
        'video/x-dl' => 'dl',
        'application/msword' => 'word',
        'application/commonground' => 'dp',
        'application/drafting' => 'drw',
        'application/x-dvi' => 'dvi',
        'model/vnd.dwf' => 'dwf',
        'image/x-dwg' => 'svf',
        'text/x-script.elisp' => 'el',
        'application/x-elc' => 'elc',
        'application/x-envoy' => 'evy',
        'application/x-esrehber' => 'es',
        'text/x-setext' => 'etx',
        'text/x-fortran' => 'for',
        'application/vnd.fdf' => 'fdf',
        'image/fif' => 'fif',
        'video/x-fli' => 'fli',
        'image/florian' => 'turbot',
        'application/tar' => 'tar',
        'application/tar+gzip' => 'tar.gz',
        'application/x-tar+gzip' => 'tar.gz',
        'application/x-tgz' => 'tar.gz',
        'text/vnd.fmi.flexstor' => 'flx',
        'video/x-atomic3d-feature' => 'fmf',
        'image/vnd.net-fpx' => 'fpx',
        'application/freeloader' => 'frl',
        'audio/make' => 'my',
        'image/g3fax' => 'g3',
        'image/gif' => 'gif',
        'video/x-gl' => 'gl',
        'audio/x-gsm' => 'gsm',
        'application/x-gsp' => 'gsp',
        'application/x-gss' => 'gss',
        'application/x-gtar' => 'gtar',
        'application/x-gzip' => 'gz',
        'application/gzip' => 'gz',
        'multipart/x-gzip' => 'gz',
        'multipart/gzip' => 'gz',
        'text/x-h' => 'hh',
        'application/x-hdf' => 'hdf',
        'application/x-helpfile' => 'help',
        'application/vnd.hp-hpgl' => 'hpgl',
        'text/x-script' => 'hlb',
        'application/x-winhelp' => 'hlp',
        'application/x-mac-binhex40' => 'hqx',
        'application/hta' => 'hta',
        'text/x-component' => 'htc',
        'text/webviewhtml' => 'htt',
        'x-conference/x-cooltalk' => 'ice',
        'image/x-icon' => 'ico',
        'image/ief' => 'iefs',
        'model/iges' => 'igs',
        'application/x-ima' => 'ima',
        'application/x-httpd-imap' => 'imap',
        'application/inf' => 'inf',
        'application/x-internett-signup' => 'ins',
        'application/x-ip2' => 'ip',
        'video/x-isvideo' => 'isu',
        'audio/it' => 'it',
        'application/x-inventor' => 'iv',
        'i-world/i-vrml' => 'ivr',
        'application/x-livescreen' => 'ivy',
        'audio/x-jam' => 'jam',
        'text/x-java-source' => 'java',
        'application/x-java-commerce' => 'jcm',
        'image/pjpeg' => 'jpg',
        'image/jpeg' => 'jfif-tbnl',
        'image/x-jps' => 'jps',
        'application/x-javascript' => 'js',
        'image/jutvision' => 'jut',
        'music/x-karaoke' => 'kar',
        'text/x-script.ksh' => 'ksh',
        'audio/x-nspaudio' => 'lma',
        'audio/x-liveaudio' => 'lam',
        'application/x-latex' => 'ltx',
        'application/x-lha' => 'lha',
        'text/x-script.lisp' => 'lsp',
        'text/x-la-asf' => 'lsx',
        'application/x-lzh' => 'lzh',
        'application/x-lzx' => 'lzx',
        'text/x-m' => 'm',
        'video/mpeg' => 'mpg',
        'audio/mpeg' => 'mpga',
        'audio/x-mpequrl' => 'm3u',
        'application/x-troff-man' => 'man',
        'application/x-navimap' => 'map',
        'application/mbedlet' => 'mbd',
        'application/x-magic-cap-package-1.0' => 'mc$',
        'application/x-mathcad' => 'mcd',
        'text/mcf' => 'mcf',
        'application/netmc' => 'mcp',
        'application/x-troff-me' => 'me',
        'message/rfc822' => 'mhtml',
        'x-music/x-midi' => 'midi',
        'application/x-mif' => 'mif',
        'www/mime' => 'mime',
        'audio/x-vnd.audioexplosion.mjuicemediafile' => 'mjf',
        'video/x-motion-jpeg' => 'mjpg',
        'application/x-meme' => 'mm',
        'application/base64' => 'mme',
        'audio/x-mod' => 'mod',
        'video/quicktime' => 'qt',
        'video/x-sgi-movie' => 'mv',
        'video/x-mpeq2a' => 'mp2',
        'video/x-mpeg' => 'mp3',
        'application/x-project' => 'mpx',
        'application/vnd.ms-project' => 'mpp',
        'application/marc' => 'mrc',
        'application/x-troff-ms' => 'ms',
        'application/x-vnd.audioexplosion.mzz' => 'mzz',
        'image/naplps' => 'naplps',
        'application/vnd.nokia.configuration-message' => 'ncm',
        'image/x-niff' => 'niff',
        'application/x-mix-transfer' => 'nix',
        'application/x-conference' => 'nsc',
        'application/x-navidoc' => 'nvd',
        'application/oda' => 'oda',
        'application/x-omc' => 'omc',
        'application/x-omcdatamaker' => 'omcd',
        'application/x-omcregerator' => 'omcr',
        'text/x-pascal' => 'p',
        'application/x-pkcs10' => 'p10',
        'application/x-pkcs12' => 'p12',
        'application/x-pkcs7-signature' => 'p7a',
        'application/x-pkcs7-mime' => 'p7m',
        'application/x-pkcs7-certreqresp' => 'p7r',
        'application/pkcs7-signature' => 'p7s',
        'application/pro_eng' => 'prt',
        'text/pascal' => 'pas',
        'image/x-portable-bitmap' => 'pbm',
        'application/x-pcl' => 'pcl',
        'image/x-pict' => 'pct',
        'image/x-pcx' => 'pcx',
        'chemical/x-pdb' => 'xyz',
        'application/pdf' => 'pdf',
        'audio/make.my.funk' => 'pfunk',
        'image/x-portable-greymap' => 'pgm',
        'image/pict' => 'pict',
        'application/x-newton-compatible-pkg' => 'pkg',
        'application/vnd.ms-pki.pko' => 'pko',
        'text/x-script.perl' => 'pl',
        'application/x-pixclscript' => 'plx',
        'text/x-script.perl-module' => 'pm',
        'application/x-pagemaker' => 'pm5',
        'image/png' => 'png',
        'image/x-portable-anymap' => 'pnm',
        'application/vnd.ms-powerpoint' => 'pwz',
        'model/x-pov' => 'pov',
        'image/x-portable-pixmap' => 'ppm',
        'application/x-mspowerpoint' => 'ppt',
        'application/mspowerpoint' => 'ppz',
        'application/x-freelance' => 'pre',
        'paleovu/x-pv' => 'pvu',
        'text/x-script.phyton' => 'py',
        'applicaiton/x-bytecode.python' => 'pyc',
        'audio/vnd.qcelp' => 'qcp',
        'image/x-quicktime' => 'qtif',
        'video/x-qtc' => 'qtc',
        'audio/x-realaudio' => 'ra',
        'audio/x-pn-realaudio' => 'rmm',
        'image/x-cmu-raster' => 'ras',
        'image/cmu-raster' => 'rast',
        'text/x-script.rexx' => 'rexx',
        'image/vnd.rn-realflash' => 'rf',
        'image/x-rgb' => 'rgb',
        'audio/mid' => 'rmi',
        'audio/x-pn-realaudio-plugin' => 'rpm',
        'application/vnd.nokia.ringing-tone' => 'rng',
        'application/vnd.rn-realplayer' => 'rnx',
        'application/x-troff' => 'tr',
        'image/vnd.rn-realpix' => 'rp',
        'text/vnd.rn-realtext' => 'rt',
        'text/richtext' => 'rtx',
        'video/vnd.rn-realvideo' => 'rv',
        'audio/s3m' => 's3m',
        'application/x-tbook' => 'tbk',
        'video/x-scm' => 'scm',
        'application/x-sdp' => 'sdp',
        'application/sounder' => 'sdr',
        'application/x-sea' => 'sea',
        'application/set' => 'set',
        'text/x-sgml' => 'sgml',
        'text/x-script.sh' => 'sh',
        'application/x-shar' => 'shar',
        'text/x-server-parsed-html' => 'ssi',
        'audio/x-psid' => 'sid',
        'application/x-stuffit' => 'sit',
        'application/x-koan' => 'skt',
        'application/x-seelogo' => 'sl',
        'application/smil' => 'smil',
        'audio/x-adpcm' => 'snd',
        'application/solids' => 'sol',
        'text/x-speech' => 'talk',
        'application/futuresplash' => 'spl',
        'application/x-sprite' => 'sprite',
        'application/x-wais-source' => 'wsrc',
        'application/streamingmedia' => 'ssm',
        'application/vnd.ms-pki.certstore' => 'sst',
        'application/step' => 'stp',
        'application/x-navistyle' => 'stl',
        'application/x-sv4cpio' => 'sv4cpio',
        'application/x-sv4crc' => 'sv4crc',
        'x-world/x-svr' => 'svr',
        'application/x-shockwave-flash' => 'swf',
        'application/x-tar' => 'tar',
        'text/x-script.tcl' => 'tcl',
        'text/x-script.tcsh' => 'tcsh',
        'application/x-tex' => 'tex',
        'application/x-texinfo' => 'texinfo',
        'application/x-compressed' => 'z',
        'image/x-tiff' => 'tiff',
        'audio/tsp-audio' => 'tsi',
        'audio/tsplayer' => 'tsp',
        'text/tab-separated-values' => 'tsv',
        'text/x-uil' => 'uil',
        'text/uri-list' => 'uris',
        'application/i-deas' => 'unv',
        'multipart/x-ustar' => 'ustar',
        'text/x-uuencode' => 'uue',
        'application/x-cdlink' => 'vcd',
        'text/x-vcalendar' => 'vcs',
        'application/vda' => 'vda',
        'video/vdo' => 'vdo',
        'application/groupwise' => 'vew',
        'video/vnd.vivo' => 'vivo',
        'application/vocaltec-media-desc' => 'vmd',
        'application/vocaltec-media-file' => 'vmf',
        'audio/x-voc' => 'voc',
        'video/vosaic' => 'vos',
        'audio/voxware' => 'vox',
        'audio/x-twinvq-plugin' => 'vql',
        'audio/x-twinvq' => 'vqf',
        'x-world/x-vrml' => 'wrz',
        'x-world/x-vrt' => 'vrt',
        'application/x-visio' => 'vsw',
        'application/wordperfect6.0' => 'wp5',
        'application/wordperfect6.1' => 'w61',
        'audio/x-wav' => 'wav',
        'application/x-qpro' => 'wb1',
        'image/vnd.wap.wbmp' => 'wbmp',
        'application/vnd.xara' => 'web',
        'application/x-123' => 'wk1',
        'windows/metafile' => 'wmf',
        'text/vnd.wap.wml' => 'wml',
        'application/vnd.wap.wmlc' => 'wmlc',
        'text/vnd.wap.wmlscript' => 'wmls',
        'application/vnd.wap.wmlscriptc' => 'wmlsc',
        'application/wordperfect' => 'wp6',
        'application/x-wpwin' => 'wpd',
        'application/x-lotus' => 'wq1',
        'application/x-wri' => 'wri',
        'text/scriplet' => 'wsc',
        'application/x-wintalk' => 'wtk',
        'image/xbm' => 'xbm',
        'video/x-amt-demorun' => 'xdr',
        'xgl/drawing' => 'xgz',
        'image/vnd.xiff' => 'xif',
        'application/excel' => 'xl',
        'application/x-msexcel' => 'xlw',
        'application/x-excel' => 'xlv',
        'audio/xm' => 'xm',
        'text/xml' => 'xml',
        'xgl/movie' => 'xmz',
        'application/x-vnd.ls-xpix' => 'xpix',
        'image/xpm' => 'xpm',
        'video/x-amt-showrun' => 'xsr',
        'image/x-xwindowdump' => 'xwd',
        'multipart/x-zip' => 'zip',
        'text/x-script.zsh' => 'zsh',
    ]
);

Configure::set(
    'DownloadManager.extensions',
    [
        '3dm',
        '3dmf',
        'a',
        'aab',
        'aam',
        'aas',
        'abc',
        'acgi',
        'afl',
        'ai',
        'aif',
        'aifc',
        'aiff',
        'aim',
        'aip',
        'ani',
        'aos',
        'aps',
        'arc',
        'arj',
        'art',
        'asf',
        'asm',
        'asp',
        'asx',
        'au',
        'avi',
        'avs',
        'bcpio',
        'bin',
        'bm',
        'bmp',
        'boo',
        'book',
        'boz',
        'bsh',
        'bz',
        'bz2',
        'c',
        'cat',
        'cc',
        'ccad',
        'cco',
        'cdf',
        'cer',
        'cha',
        'chat',
        'class',
        'com',
        'conf',
        'cpio',
        'cpp',
        'cpt',
        'crl',
        'crt',
        'csh',
        'css',
        'cxx',
        'dcr',
        'deepv',
        'def',
        'der',
        'dif',
        'dir',
        'dl',
        'doc',
        'dot',
        'dp',
        'drw',
        'dump',
        'dv',
        'dvi',
        'dwf',
        'dwg',
        'dxf',
        'dxr',
        'el',
        'elc',
        'env',
        'eps',
        'es',
        'etx',
        'evy',
        'exe',
        'f',
        'f77',
        'f90',
        'fdf',
        'fif',
        'fli',
        'flo',
        'flx',
        'fmf',
        'for',
        'fpx',
        'frl',
        'funk',
        'g',
        'g3',
        'gif',
        'gl',
        'gsd',
        'gsm',
        'gsp',
        'gss',
        'gtar',
        'gz',
        'gzip',
        'h',
        'hdf',
        'help',
        'hgl',
        'hh',
        'hlb',
        'hlp',
        'hpg',
        'hpgl',
        'hqx',
        'hta',
        'htc',
        'htm',
        'html',
        'htmls',
        'htt',
        'htx',
        'ice',
        'ico',
        'idc',
        'ief',
        'iefs',
        'iges',
        'igs',
        'ima',
        'imap',
        'inf',
        'ins',
        'ip',
        'isu',
        'it',
        'iv',
        'ivr',
        'ivy',
        'jam',
        'jav',
        'java',
        'jcm',
        'jfif',
        'jfif-tbnl',
        'jpe',
        'jpeg',
        'jpg',
        'jps',
        'js',
        'jut',
        'kar',
        'ksh',
        'la',
        'lam',
        'latex',
        'lha',
        'lhx',
        'list',
        'lma',
        'log',
        'lsp',
        'lst',
        'lsx',
        'ltx',
        'lzh',
        'lzx',
        'm',
        'm1v',
        'm2a',
        'm2v',
        'm3u',
        'man',
        'map',
        'mar',
        'mbd',
        'mcd',
        'mcf',
        'mcp',
        'me',
        'mht',
        'mhtml',
        'mid',
        'midi',
        'mif',
        'mime',
        'mjf',
        'mjpg',
        'mm',
        'mme',
        'mod',
        'moov',
        'mov',
        'movie',
        'mp2',
        'mp3',
        'mpa',
        'mpc',
        'mpe',
        'mpeg',
        'mpg',
        'mpga',
        'mpp',
        'mpt',
        'mpv',
        'mpx',
        'mrc',
        'ms',
        'mv',
        'my',
        'mzz',
        'nap',
        'naplps',
        'nc',
        'ncm',
        'nif',
        'niff',
        'nix',
        'nsc',
        'nvd',
        'o',
        'oda',
        'omc',
        'omcd',
        'omcr',
        'p',
        'p10',
        'p12',
        'p7a',
        'p7c',
        'p7m',
        'p7r',
        'p7s',
        'part',
        'pas',
        'pbm',
        'pcl',
        'pct',
        'pcx',
        'pdb',
        'pdf',
        'pfunk',
        'pgm',
        'pic',
        'pict',
        'pkg',
        'pko',
        'pl',
        'plx',
        'pm',
        'pm4',
        'pm5',
        'png',
        'pnm',
        'pot',
        'pov',
        'ppa',
        'ppm',
        'pps',
        'ppt',
        'ppz',
        'pre',
        'prt',
        'ps',
        'psd',
        'pvu',
        'pwz',
        'py',
        'pyc',
        'qcp',
        'qd3',
        'qd3d',
        'qif',
        'qt',
        'qtc',
        'qti',
        'qtif',
        'ra',
        'ram',
        'ras',
        'rast',
        'rexx',
        'rf',
        'rgb',
        'rm',
        'rmi',
        'rmm',
        'rmp',
        'rng',
        'rnx',
        'roff',
        'rp',
        'rpm',
        'rt',
        'rtf',
        'rtx',
        'rv',
        's',
        's3m',
        'saveme',
        'sbk',
        'scm',
        'sdml',
        'sdp',
        'sdr',
        'sea',
        'set',
        'sgm',
        'sgml',
        'sh',
        'shar',
        'shtml',
        'sid',
        'sit',
        'skd',
        'skm',
        'skp',
        'skt',
        'sl',
        'smi',
        'smil',
        'snd',
        'sol',
        'spc',
        'spl',
        'spr',
        'sprite',
        'src',
        'ssi',
        'ssm',
        'sst',
        'step',
        'stl',
        'stp',
        'sv4cpio',
        'sv4crc',
        'svf',
        'svr',
        'swf',
        't',
        'talk',
        'tar',
        'tar.gz',
        'tbk',
        'tcl',
        'tcsh',
        'tex',
        'texi',
        'texinfo',
        'text',
        'tgz',
        'tif',
        'tiff',
        'tr',
        'tsi',
        'tsp',
        'tsv',
        'turbot',
        'txt',
        'uil',
        'uni',
        'unis',
        'unv',
        'uri',
        'uris',
        'ustar',
        'uu',
        'uue',
        'vcd',
        'vcs',
        'vda',
        'vdo',
        'vew',
        'viv',
        'vivo',
        'vmd',
        'vmf',
        'voc',
        'vos',
        'vox',
        'vqe',
        'vqf',
        'vql',
        'vrml',
        'vrt',
        'vsd',
        'vst',
        'vsw',
        'w60',
        'w61',
        'w6w',
        'wav',
        'wb1',
        'wbmp',
        'web',
        'wiz',
        'wk1',
        'wmf',
        'wml',
        'wmlc',
        'wmls',
        'wmlsc',
        'word',
        'wp',
        'wp5',
        'wp6',
        'wpd',
        'wq1',
        'wri',
        'wrl',
        'wrz',
        'wsc',
        'wsrc',
        'wtk',
        'xbm',
        'xdr',
        'xgz',
        'xif',
        'xl',
        'xla',
        'xlb',
        'xlc',
        'xld',
        'xlk',
        'xll',
        'xlm',
        'xls',
        'xlt',
        'xlv',
        'xlw',
        'xm',
        'xml',
        'xmz',
        'xpix',
        'xpm',
        'x-png',
        'xsr',
        'xwd',
        'xyz',
        'z',
        'zip',
        'zoo',
        'zsh',
    ]
);
