<?php
/**
 * WARNING: Do not edit by hand, this file was generated by Crank:
 *
 * https://github.com/gocardless/crank
 */

namespace GoCardlessPro\Resources;

/**
 * A thin wrapper around a mandate_import, providing access to its
 * attributes
 *
 * @property-read $created_at
 * @property-read $id
 * @property-read $scheme
 * @property-read $status
 */
class MandateImport extends BaseResource
{
    protected $model_name = "MandateImport";

    /**
     * Fixed [timestamp](#api-usage-time-zones--dates), recording when this
     * resource was created.
     */
    protected $created_at;

    /**
     * Unique identifier, beginning with "IM".
     */
    protected $id;

    /**
     * The scheme of the mandates to be imported.<br>All mandates in a single
     * mandate
     * import must be for the same scheme.
     */
    protected $scheme;

    /**
     * The status of the mandate import.
     * <ul>
     * <li>New mandate imports report the `created` status.</li>
     * <li>When the integrator has finished adding mandates and
     * <a href="#mandate-imports-submit-a-mandate-import">submitted</a> the
     * import, the status will report as `submitted`.</li>
     * <li>If the integrator decided to
     * <a href="#mandate-imports-cancel-a-mandate-import">cancel</a> the mandate
     * import,
     * the status will report `cancelled`.</li>
     * <li>Once a mandate import has been approved by a GoCardless team member,
     * the status will
     * initially report as `processing` (whilst the mandates are being
     * imported).</li>
     * <li>When the mandates have all been imported successfully, the status
     * will report as `processed`.</li>
     * </ul>
     */
    protected $status;

}
